import Event from "./Event";
import { DeviceCapabilities } from "./DeviceCapabilities";
export declare function saveScan(event: Event, folder: string, tempFolder: string, scanCount: number, deviceCapabilities: DeviceCapabilities, scanConfig: ScanConfig): Promise<void>;
export type DirectoryConfig = {
    directory: string | undefined;
    tempDirectory: string | undefined;
    filePattern: string | undefined;
};
export type ScanConfig = {
    resolution: number;
    directoryConfig: DirectoryConfig;
};
export type AdfAutoScanConfig = ScanConfig & {
    isDuplex: boolean;
    generatePdf: boolean;
    pollingInterval: number;
    startScanDelay: number;
};
export declare function scanFromAdf(scanCount: number, folder: string, tempFolder: string, adfAutoScanConfig: AdfAutoScanConfig): Promise<void>;
